Subject: Ok, got it to work, now what about conversions?

From: "J Peterson" <[email-masked]>
Date: Wed, 3 Feb 1999 13:44:43 -0500

Just wondering what I'm doing wrong here..
I have it running on port 2100 simply because I'm not ready to put it in
place yet :)
but I cant seem to get the conversions to work correctly.. i.e. get
dirname.tgz
the paths are correct for gzip and tar in the ftpconversions file..
Thanks :)

-Joseph

/etc/services
ftp2            2100/tcp           #File Transfer [Control]
ftp2            2100/udp           #File Transfer [Control]
/etc/inetd/conf
ftp2    stream  tcp     nowait  root    /usr/local/libexec/ftpd ftpd
/usr/local/etc/ftpconversions
 :.Z:  :  :/bin/compress -d -c %s:T_REG|T_ASCII:O_UNCOMPRESS:UNCOMPRESS
 :   : :.Z:/bin/compress -c %s:T_REG:O_COMPRESS:COMPRESS
 :.gz: :  :/usr/bin/gzip -cd %s:T_REG|T_ASCII:O_UNCOMPRESS:GUNZIP
 :   : :.gz:/usr/bin/gzip -9 -c %s:T_REG:O_COMPRESS:GZIP
 :   : :.tar:/bin/tar -c -f - %s:T_REG|T_DIR:O_TAR:TAR
 :   : :.tar.Z:/bin/tar -c -Z -f -
%s:T_REG|T_DIR:O_COMPRESS|O_TAR:TAR+COMPRESS
 :   : :.tar.gz:/bin/tar -c -z -f - %s:T_REG|T_DIR:O_COMPRESS|O_TAR:TAR+GZIP
 :   : :.tgz:/bin/tar -c -z -f - %s:T_REG|T_DIR:O_COMPRESS|O_TAR:TAR+GZIP

# ftp garcon.qtm.net 2100
220 garcon.qtm.net FTP server (Version wu-2.4.2-academ[BETA-18](1) Wed Feb 3
12:58:36 EST 1999) ready.
Name (ftp:jay):
331 Password required for jay.
Password:
230 User jay logged in.
Remote system type is UNIX.
Using binary mode to transfer files.
ftp> ls -la
200 PORT command successful.
150 Opening ASCII mode data connection for /bin/ls.
total 5358
drwxrwxr-x   7 jay     www       1024 Jan 29 05:44 www
-rw-r--r--   1 jay     user         0 Feb  1 10:02 xferlog
226 Transfer complete.
ftp> get www.tgz
local: www.tgz remote: www.tgz
200 PORT command successful.
550 www.tgz: No such file or directory.
ftp>